CharsetMagic.hpp File Reference
`#include <string>`
Include dependency graph for CharsetMagic.hpp:

## Namespaces

namespace | UI
| Namespace for any Schlund+Partner C++ code.
namespace | UI::Util
| Namespace for ui-utilcpp.

## Functions

Guess encoding of data in buffer using len sample size.
If no encoding could be guessed, this returns an empty string.
std::string | UI::Util::CharsetMagic::guess (char const *const buf, size_t const &len)
std::string | UI::Util::CharsetMagic::guess (std::string const &buf, std::string::size_type const &len)